Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2 Fragen zu Portage
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Haubentaucher
n00b
n00b


Joined: 28 Feb 2011
Posts: 60

PostPosted: Sun Apr 03, 2011 1:55 pm    Post subject: 2 Fragen zu Portage Reply with quote

Hallo,

ich habe mal zwei Fragen zu Portage, bzw. der Paketverwaltung:

Wie ist das mit dem Deinstallieren von übergeordneten Abhängigkeiten organisiert? Beispiel: Ich installiere kdebase-meta und bekomme extrem viele Abhängigkeiten mitinstalliert. Jetzt kann ich kdebase-meta per unmerge wieder deinstallieren, und die mitinstallierten Abhängigkeiten prizipiell per depclean wieder entfernen. Wie ist das aber mit dem Weg andersherum, wenn ich jetzt z.B. den Konqueror deinstallieren will, deinstalliert emerge zumindest mit der Option unmerge kdebase-meta nicht mit. Gibt es eine Möglichkeit sich die Pakete anzeigen zu lassen und/oder sich mitdeinstallieren zu lassen, von denen die Pakete abhängen, die man zu deinstallieren versucht?
Ich hoffe, ihr versteht was ich meine. Ich bin das von apt so gewohnt: quasi autoremove als Pendant zu dep-clean, aber unmerge ist kein Pendant zu remove. Gibt es einen?

Die zweite Frage gilt für Overlays. Wenn ich 2 Overlays habe, die zufälligerweise dieselbe Version eines Paketes liefern, das ich intallieren will, kann ich dann irgendwie das Overlay auswählen, aus dem der Ebuild verwendet werden soll, ohne die Overlays zu deaktivieren oder den Ebuild aus dem falschen Overlay zu löschen?

mfG Haubentaucher
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Sun Apr 03, 2011 3:09 pm    Post subject: Re: 2 Fragen zu Portage Reply with quote

Haubentaucher wrote:
Gibt es eine Möglichkeit sich die Pakete anzeigen zu lassen und/oder sich mitdeinstallieren zu lassen, von denen die Pakete abhängen, die man zu deinstallieren versucht?

Code:
equery d paket_das_du_deinstallieren_willst


equery ist Teil von app-portage/gentoolkit

Quote:
Die zweite Frage gilt für Overlays. Wenn ich 2 Overlays habe, die zufälligerweise dieselbe Version eines Paketes liefern, das ich intallieren will, kann ich dann irgendwie das Overlay auswählen, aus dem der Ebuild verwendet werden soll, ohne die Overlays zu deaktivieren oder den Ebuild aus dem falschen Overlay zu löschen?

Gibt es momentan noch nicht in portage. Wenn das nur in eine Richtung geht, kann man das über die Reihenfolge in der PORTDIR_OVERLAY-Variable lösen (weiß gerade nicht wie rum -- musst mal ausprobieren).
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3717
Location: Germany

PostPosted: Sun Apr 03, 2011 3:28 pm    Post subject: Reply with quote

Hi Haubentaucher

Ich würde davon abraten in KDE den konqueror zu deinstallieren, den kann man nämlich sehr gut brauchen bzw nutzen ;)

Haubentaucher wrote:
Gibt es eine Möglichkeit sich die Pakete anzeigen zu lassen und/oder sich mitdeinstallieren zu lassen, von denen die Pakete abhängen, die man zu deinstallieren versucht?
Für die sichere Deinstallation von Paketen solltest du --depclean nutzen, das zeigt dir auch gleich noch eventuell vorhandene Abhängigkeiten mit an.
Beispiel:
Code:
 # emerge -av --depclean konqueror                                                                                             
                                                                                                                                           
Calculating dependencies... done!                                                                                                           
  kde-base/konqueror-4.6.1 pulled in by:
    kde-base/kdebase-meta-4.6.1
    kde-base/nsplugins-4.6.1
...


Ansonsten nutze wie auch schon erwähnt "equery depends Paket"

Zu den Overlays:
Was für eine portage Version verwendest du denn?
Back to top
View user's profile Send private message
Haubentaucher
n00b
n00b


Joined: 28 Feb 2011
Posts: 60

PostPosted: Sun Apr 03, 2011 3:40 pm    Post subject: Reply with quote

Erstmal danke für die Infos. Ich benutze Portage 2.1.9.42. Über den Sinn des Konqueror kann man sicherlich vortrefflich diskutieren, aber nicht hier :-).

Kann man statt equery auch eix benutzen?

emerge --depclean programmname deinstalliert ja nur, wenn keine Abhängigkeiten bestehen, bietet aber nicht die Möglichkeit, die Abhängigkeiten mit zu deinstallieren. Aber vielleicht ist das ja auch ganz sinnvoll so.
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Sun Apr 03, 2011 3:46 pm    Post subject: Reply with quote

Haubentaucher wrote:
Kann man statt equery auch eix benutzen?

Die beiden Tools haben fast komplett unterschiedliche Funktionalität ... also: nein.
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Haubentaucher
n00b
n00b


Joined: 28 Feb 2011
Posts: 60

PostPosted: Sun Apr 03, 2011 3:48 pm    Post subject: Reply with quote

Ok, schade. Eix ist relativ mächtig, ich dachte, der scannt vielleicht auch die Abhängigkeiten.
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2069
Location: My own world! I and Gentoo!

PostPosted: Sun Apr 03, 2011 6:13 pm    Post subject: Reply with quote

nein, außerdem hat eix noch die ganzen Dinge wie Beschreibungen, Versionsnummern und co mitdabeistehn, also auch nicht pipe/Parameter-übergabe-fähig.

Zum Thema Pakete aus bestimmten Overlays installiern:
Es gibt ab Portage 2.2_rc28 die Möglichkeit indem du die Overlays mit einem doppelten Doppelpunkt angibst, entscheidend ist hierbei das was in der </pfad/to/overlays/>profiles/repo_name steht.

(Würde ich sowieso empfehlen, das 2.2_rc28).
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Mon Apr 04, 2011 7:39 am    Post subject: Reply with quote

Max Steel wrote:
nein, außerdem hat eix noch die ganzen Dinge wie Beschreibungen, Versionsnummern und co mitdabeistehn, also auch nicht pipe/Parameter-übergabe-fähig.

Code:
$ eix konqueror --only-names
kde-base/konqueror
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum